
Device = 16F877
Declare Xtal 4   ' Isis just defaults to this anyway
;-------------------------------------------------------------------------------
;**** Added by Fuse Configurator ****
; Use the Fuse Configurator plug-in to change these settings

Declare Reminders Off
@ CONFIG_REQ = 0 ; Override Compiler's configuration settings
Asm-
__Config  0x3D3A ;FOSC_HS & WDTE_OFF & PWRTE_OFF & CP_OFF & BOREN_OFF & LVP_OFF & CPD_OFF & WRT_OFF & DEBUG_OFF 
Endasm-
Declare Reminders On

;**** End of Fuse Configurator Settings ****
;-------------------------------------------------------------------------------
 
Declare LCD_ENPin PORTB.0
Declare LCD_RSPin PORTB.1
'Declare LCD_RWPin PORTB.1  ' this line was causing lot's of error message and stopping the lcd from displaying
Declare LCD_Interface 4     ' this is usally set to 4 not 8 
Declare LCD_Lines 4
Declare LCD_DTPin PORTD.0    
Declare LCD_Type 0

Declare All_Digital = True                      ' Set PORTA and PORTE to all digital

'Dim CurrValue[6] As Byte         This Is Never Used by the program so commented it out
Dim a As Dword    
Dim b As Dword
Dim CinRslt As Dword
Dim CurrVolt As Float
Dim vddref As Float
Dim ResA As Float
Dim Curr As Float

Declare Adin_Res 10        ' 10-bit result required 
Declare Adin_Tad FRC       ' RC OSC chosen 
Declare Adin_Stime 50      ' Allow 50us sample time 


 vddref = 5.0001
 TRISB = %00000000              
 TRISC = %00000000          
Cls
DelayMS 500
ResA  = vddref/1024
Print At 2,1, "Fuse = 500 mA "
TRISA = %00000001  'Select ADC pins for input
ADCON1 = %10000000 

'**********************************************************************************************
 Again:                 ' Really don't know what this section of code is for ? but it was like 
 PORTC.0 = 0            'an endless loop with 22 lines of a = 1 to 10,000
 If PORTC.0 <> 0 Then
     For a = 0 To 9    ' changed this to 10 so it didn't run forever when it was set to 100000
        b = 1000       ' 1000.0 won't fit in a dword and were being truncated to 1000 
     Next a
    
 Else
  PORTC.1 = 1          ' same thing here
      For a = 0 To 9   ' changed this to 10 so it didn't run forever when it was set to 100000
        b = 1000       '  1000.0 won't fit in a dword and were being truncated to 1000 
     Next a
    End If
'**********************************************************************************************  
  
  Main: 
    CinRslt = ADIn 0  
    CurrVolt = CinRslt * ResA
    Curr = CurrVolt / 0.1
    Curr = Curr * 10       ' changed this from 1000   
    Curr = fRound (Curr)   ' comment this out to see the real number before rounding
    DelayMS 50
   Print At 1, 1, "Current ",Dec3 Curr 
   Print At 1,17, "line 3 "     ' this is really line 3 postion 1
   Print At 2,17, "line 4 "     ' this is really line 4 postion 1
 GoTo Again

